/// <reference types="vite-plugin-svgr/client" />
import { Wrapper } from "./src/Wrapper";
import { React } from "./src/Svg";
import "./src/scss/global.scss";
import {
  IconsSection,
  BadgesSection,
  ButtonsSection,
  CardsSection,
  PlanCardsSection,
  LabelsSection,
  RadioButtonsSection, ProductSection
} from './layout';
import { ListSection } from './layout/ListSection';

const App = () => {
  return (
    <div className="app p-5">
      <Wrapper size="lg">
        <h1 className="mb-8">Boundary Web UI Kit</h1>
        <IconsSection />
        <BadgesSection />
        <ButtonsSection />
        <CardsSection />
        <PlanCardsSection />
        <LabelsSection />
        <RadioButtonsSection />
        <ProductSection />
        <ListSection />
      </Wrapper>
    </div>
  );
};

export { App };
