export interface PlanFeatures {
    term_id: number;
    name: string;
    svg: string;
    description: string | false;
    customValue: string | boolean;
}
export interface Plan {
    id: number;
    title: "Lite" | "Smart" | "Pro";
    price: number;
    features: PlanFeatures[];
    highlightFeatures: PlanFeatures[];
    allFeatures: PlanFeatures[];
    productID: number;
}
declare type Props = {
    plan: Plan;
    selectPlan?: (...args: unknown[]) => unknown;
    fullWidth?: boolean;
};
export declare function renderPrice(price: number): string;
declare const PlanCard: ({ plan: { id, title, price, highlightFeatures }, selectPlan, fullWidth, }: Props) => JSX.Element;
export { PlanCard };
