import { ReactNode } from "react";

interface Props {
  children: ReactNode;
  className?: string;
  fullWidth?: boolean;
}

const Card = ({ children, className = "", fullWidth }: Props) => {
  return (
    <div className={`card ${className} ${fullWidth ? "w-100" : ""}`}>
      {children}
    </div>
  );
};

export { Card };
