import { ReactNode } from "react";

export type LabelProps = {
  children: ReactNode;
  htmlFor?: string;
  variant?: "sm" | "md" | "lg";
  onClick?: () => void;
};

const Label = ({ children, variant = "md", onClick, htmlFor }: LabelProps) => (
  <label
    className={`label label-${variant}`}
    onClick={onClick}
    htmlFor={htmlFor}
  >
    {children}
  </label>
);

export { Label };
